darcs

Issue 1299 cabal test: should depend on "cabal build"

Title cabal test: should depend on "cabal build"
Priority not-our-bug Status waiting-for
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, thorkilnaur, tux_rocker, twb
Assigned To
Topics Devel

Created on 2009-01-03.04:06:17 by twb, last changed 2009-09-29.06:35:40 by kowey.

Messages
msg6958 (view) Author: twb Date: 2009-01-03.04:06:10
$ cabal test
setup: dist/build/darcs/darcs: copyFile: does not exist (No such file or directory)

The test code assumes that "cabal build" was run already.
msg7426 (view) Author: thorkilnaur Date: 2009-03-11.11:53:08
Thanks Trent. I am not really sure how the "cabal test" command (of cabal-install) 
is supposed to work. Is this a problem with the darcs.cabal file? Or a feature of 
"cabal test" that you would like to have? Or perhaps something else?

Thanks and best regards
Thorkil
msg7427 (view) Author: twb Date: 2009-03-11.11:58:01
On Wed, Mar 11, 2009 at 11:53:11AM -0000, Thorkil Naur wrote:
> Thanks Trent. I am not really sure how the "cabal test" command (of
> cabal-install) is supposed to work. Is this a problem with the
> darcs.cabal file? Or a feature of "cabal test" that you would like
> to have? Or perhaps something else?

I don't know; I would guess that it's something that needs to be fixed
upstream in Cabal.
msg7429 (view) Author: kowey Date: 2009-03-11.16:24:30
On Wed, Mar 11, 2009 at 11:58:04 -0000, Trent Buck wrote:
> I don't know; I would guess that it's something that needs to be fixed
> upstream in Cabal.

We could just have the shell harness complain if the path does not
exist.

Otherwise, here is the trac page for Cabal and cabal-install
  http://hackage.haskell.org/trac/hackage/

I would guess this is more an issue with the Cabal library than
cabal-install
msg7616 (view) Author: kowey Date: 2009-04-09.11:13:36
I'm declaring this not-our-bug.  Please take it up with the Cabal/cabal-install
folks.
msg8882 (view) Author: kowey Date: 2009-09-29.06:35:36
Alright, we need this to be fixed.  I have filed
http://hackage.haskell.org/trac/hackage/ticket/592 so we are now waiting for the
Cabal team :-)

Note that the *main* difficulty this causes us, IMHO is the recurring scenario:

A: Such and such test fails

B: Have you re-run cabal build?

A: Oh, no I haven't 

And what would be more pernicious is to have tests that succeed when they really
ought not to because of this
History
Date User Action Args
2009-01-03 04:06:18twbcreate
2009-03-11 11:53:11thorkilnaursetstatus: unread -> unknown
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7426
2009-03-11 11:58:03twbsetnosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7427
2009-03-11 16:24:33koweysetnosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7429
2009-04-09 11:13:38koweysetpriority: not-our-bug
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7616
2009-08-19 11:04:53koweysetstatus: unknown -> wont-fix
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
topic: + Devel
2009-08-25 17:37:49adminsetnosy: + darcs-devel, - simon
2009-08-27 14:28:05adminsetnosy: kowey, darcs-devel, twb, thorkilnaur, dmitry.kurochkin
2009-09-17 19:31:36tux_rockersetnosy: + tux_rocker
2009-09-29 06:35:40koweysetstatus: wont-fix -> waiting-for
nosy: kowey, darcs-devel, twb, thorkilnaur, tux_rocker, dmitry.kurochkin
messages: + msg8882
title: cabal test: should depend on "cabal build" ==> setup: dist/build/darcs/darcs: copyFile: does not exist (No such file or directory) -> cabal test: should depend on "cabal build"